#include <stdio.h>

int main(){
  int m,n;
  
  scanf("%d%d",&m,&n);
  
  int a[m][n];
  int i,j;
  
  for(i=0;i<m;i++)
    for(j=0;j<n;j++)
      scanf("%d",&a[i][j]);
    
    
  int p,k;
  scanf("%d%d",&p,&k);
  int suma=0;
  if(p>m || k>n)
    printf("-1");
  
  else{
    for(i=0;i<m;i++){
      for(j=0;j<n;j++)
	if(i<p && j<k)
	  suma+=a[i][j];
	printf("%d",suma);
    }
  }
  return 0;
}
	
      
      
      
      
      
      
      
      
      
      
      
      
      
      
  
